<?xml version="1.0" encoding="UTF-8"?>
<!--
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
-->
<menu:menubar xmlns:menu="http://openoffice.org/2001/menu" menu:id="menubar">
  <menu:menu menu:id=".uno:PickList">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:AddDirect"/>
      <menu:menuitem menu:id=".uno:Open"/>
      <menu:menuitem menu:id=".uno:OpenRemote" menu:style="text"/>
      <menu:menuitem menu:id=".uno:RecentFileList"/>
      <menu:menuitem menu:id=".uno:CloseDoc"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:AutoPilotMenu" menu:style="text"/>
      <menu:menu menu:id=".uno:TemplateMenu">
          <menu:menupopup>
              <menu:menuitem menu:id=".uno:OpenTemplate" menu:style="text"/>
              <menu:menuitem menu:id=".uno:SaveAsTemplate" menu:style="text"/>
              <menu:menuseparator/>
              <menu:menuitem menu:id=".uno:NewDoc" menu:style="text"/>
          </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Save"/>
      <menu:menuitem menu:id=".uno:SaveAs"/>
      <menu:menuitem menu:id=".uno:SaveAsRemote" menu:style="text"/>
      <menu:menuitem menu:id=".uno:SaveACopy" menu:style="text"/>
      <menu:menuitem menu:id=".uno:SaveAll" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:CheckOut" menu:style="text"/>
      <menu:menuitem menu:id=".uno:CancelCheckOut" menu:style="text"/>
      <menu:menuitem menu:id=".uno:CheckIn" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ExportTo"/>
      <menu:menu menu:id=".uno:ExportAsMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ExportToPDF" menu:style="text"/>
          <menu:menuitem menu:id=".uno:ExportDirectToPDF" menu:style="text"/>
          <menu:menuitem menu:id=".uno:ExportToEPUB" menu:style="text"/>
          <menu:menuitem menu:id=".uno:ExportDirectToEPUB" menu:style="text"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:SendToMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SendMail" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendMailDocAsOOo" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendMailDocAsMS" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendMailDocAsPDF" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendViaBluetooth" menu:style="text"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:NewGlobalDoc" menu:style="text"/>
          <menu:menuitem menu:id=".uno:NewHtmlDoc" menu:style="text"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SendOutlineToStarImpress" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendOutlineToClipboard" menu:style="text"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:CreateAbstract" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendAbstractToStarImpress" menu:style="text"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:WebHtml"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Print"/>
      <menu:menuitem menu:id=".uno:PrintPreview" menu:style="text"/>
      <menu:menuitem menu:id=".uno:PrinterSetup" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SetDocumentProperties"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Quit"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:EditMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:Undo"/>
      <menu:menuitem menu:id=".uno:Redo"/>
      <menu:menuitem menu:id=".uno:Repeat" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Cut"/>
      <menu:menuitem menu:id=".uno:Copy"/>
      <menu:menuitem menu:id=".uno:Paste"/>
      <menu:menu menu:id=".uno:PasteSpecialMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:PasteUnformatted"/>
          <menu:menuitem menu:id=".uno:PasteSpecial"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SelectAll" menu:style="text"/>
      <menu:menu menu:id=".uno:SelectionModeMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SelectionModeDefault" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:SelectionModeBlock" menu:style="radio"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:SelectTextMode" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id="vnd.sun.star.findbar:FocusToFindbar"/>
      <menu:menuitem menu:id=".uno:SearchDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:EditHyperlink"/>
      <menu:menuitem menu:id=".uno:EditFootnote" menu:style="text"/>
      <menu:menuitem menu:id=".uno:FieldDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:LinkDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ObjectMenue" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:EditDoc" menu:style="text"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:ViewMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:PrintLayout" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:BrowseView" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:SourceView" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:AvailableToolbars" menu:style="text"/>
      <menu:menuitem menu:id=".uno:StatusBarVisible" menu:style="text"/>
      <menu:menuitem menu:id=".uno:Ruler" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ControlCodes"/>
      <menu:menuitem menu:id=".uno:ViewBounds" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ShowHiddenParagraphs" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ShowAnnotations" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Marks" menu:style="text"/>
      <menu:menuitem menu:id=".uno:Fieldnames" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Sidebar"/>
      <menu:menuitem menu:id=".uno:ViewSidebarStyles"/>
      <menu:menuitem menu:id=".uno:Gallery" menu:style="text"/>
      <menu:menuitem menu:id=".uno:Navigator" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ViewDataSourceBrowser" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:FullScreen"/>
      <menu:menu menu:id=".uno:ZoomMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ZoomPage"/>
          <menu:menuitem menu:id=".uno:ZoomPageWidth"/>
          <menu:menuitem menu:id=".uno:ZoomOptimal"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Zoom50Percent"/>
          <menu:menuitem menu:id=".uno:Zoom75Percent"/>
          <menu:menuitem menu:id=".uno:Zoom100Percent"/>
          <menu:menuitem menu:id=".uno:Zoom150Percent"/>
          <menu:menuitem menu:id=".uno:Zoom200Percent"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Zoom"/>
        </menu:menupopup>
      </menu:menu>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:InsertMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:InsertScript"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:InsertGraphic"/>
      <menu:menuitem menu:id=".uno:InsertObjectChart"/>
      <menu:menu menu:id=".uno:GraphicMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Gallery"/>
          <menu:menu menu:id=".uno:Scan">
            <menu:menupopup>
              <menu:menuitem menu:id=".uno:TwainSelect"/>
              <menu:menuitem menu:id=".uno:TwainTransfer"/>
            </menu:menupopup>
          </menu:menu>
          <menu:menuitem menu:id=".uno:InsertAVMedia"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:ObjectMenu" menu:style="text">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertObjectStarMath"/>
          <menu:menuitem menu:id=".uno:InsertObject"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:InsertSection" menu:style="text"/>
      <menu:menuitem menu:id=".uno:InsertDoc" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:InsertAnnotation"/>
      <menu:menuitem menu:id=".uno:InsertFrame" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:HyperlinkDialog"/>
      <menu:menuitem menu:id=".uno:InsertAnchor"/>
      <menu:menuitem menu:id=".uno:InsertReferenceField" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:InsertSymbol"/>
      <menu:menu menu:id=".uno:FormattingMarkMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertNonBreakingSpace"/>
          <menu:menuitem menu:id=".uno:InsertHardHyphen"/>
          <menu:menuitem menu:id=".uno:InsertSoftHyphen"/>
          <menu:menuitem menu:id=".uno:InsertZWSP"/>
          <menu:menuitem menu:id=".uno:InsertWJ"/>
          <menu:menuitem menu:id=".uno:InsertLRM"/>
          <menu:menuitem menu:id=".uno:InsertRLM"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:StyleApply?Style:string=Horizontal Line&amp;FamilyName:string=ParagraphStyles"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:InsertFootnotesMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertFootnote"/>
          <menu:menuitem menu:id=".uno:InsertEndnote"/>
          <menu:menuitem menu:id=".uno:InsertFootnoteDialog"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:InsertDateField"/>
      <menu:menuitem menu:id=".uno:InsertFieldCtrl" menu:style="text"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:FormatMenu">
    <menu:menupopup>
      <menu:menu menu:id=".uno:FormatTextMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Bold"/>
          <menu:menuitem menu:id=".uno:Italic"/>
          <menu:menuitem menu:id=".uno:UnderlineSingle"/>
          <menu:menuitem menu:id=".uno:UnderlineDouble"/>
          <menu:menuitem menu:id=".uno:Strikeout"/>
          <menu:menuitem menu:id=".uno:Overline"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SuperScript"/>
          <menu:menuitem menu:id=".uno:SubScript"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Shadowed"/>
          <menu:menuitem menu:id=".uno:OutlineFont"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Grow"/>
          <menu:menuitem menu:id=".uno:Shrink"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ChangeCaseToUpper"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToLower"/>
          <menu:menuitem menu:id=".uno:ChangeCaseRotateCase"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ChangeCaseToSentenceCase"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToTitleCase"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToToggleCase"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SmallCaps"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ChangeCaseToHalfWidth"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToFullWidth"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToHiragana"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToKatakana"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatSpacingMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SpacePara1"/>
          <menu:menuitem menu:id=".uno:SpacePara15"/>
          <menu:menuitem menu:id=".uno:SpacePara2"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ParaspaceIncrease"/>
          <menu:menuitem menu:id=".uno:ParaspaceDecrease"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:IncrementIndent"/>
          <menu:menuitem menu:id=".uno:DecrementIndent"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:TextAlign">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:CommonAlignLeft" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CommonAlignHorizontalCenter" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CommonAlignRight" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CommonAlignJustified" menu:style="radio"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:CommonAlignTop" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CommonAlignVerticalCenter" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CommonAlignBottom" menu:style="radio"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatBulletsMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:DefaultBullet"/>
          <menu:menuitem menu:id=".uno:DefaultNumbering"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:DecrementLevel"/>
          <menu:menuitem menu:id=".uno:IncrementLevel"/>
          <menu:menuitem menu:id=".uno:DecrementSubLevels"/>
          <menu:menuitem menu:id=".uno:IncrementSubLevels"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:MoveDown"/>
          <menu:menuitem menu:id=".uno:MoveUp"/>
          <menu:menuitem menu:id=".uno:MoveDownSubItems"/>
          <menu:menuitem menu:id=".uno:MoveUpSubItems"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:InsertNeutralParagraph"/>
          <menu:menuitem menu:id=".uno:NumberingStart"/>
          <menu:menuitem menu:id=".uno:ContinueNumbering"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:JumpDownThisLevel"/>
          <menu:menuitem menu:id=".uno:JumpUpThisLevel"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:FormatPaintbrush"/>
      <menu:menuitem menu:id=".uno:ResetAttributes"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:FontDialog"/>
      <menu:menuitem menu:id=".uno:ParagraphDialog"/>
      <menu:menuitem menu:id=".uno:OutlineBullet"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:PageDialog"/>
      <menu:menuitem menu:id=".uno:FormatAllNotes" menu:style="text"/>
      <menu:menuitem menu:id=".uno:RubyDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:FormatColumns" menu:style="text"/>
      <menu:menuitem menu:id=".uno:EditRegion" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:FormatImageMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Crop"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ExternalEdit"/>
          <menu:menuitem menu:id=".uno:ChangePicture"/>
          <menu:menuitem menu:id=".uno:CompressGraphic"/>
          <menu:menuitem menu:id=".uno:SaveGraphic"/>
          <menu:menuseparator/>
          <menu:menu menu:id=".uno:FormatImageFilterMenu">
            <menu:menupopup>
              <menu:menuitem menu:id=".uno:GraphicFilterSepia"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSobel"/>
              <menu:menuitem menu:id=".uno:GraphicFilterInvert"/>
              <menu:menuitem menu:id=".uno:GraphicFilterMosaic"/>
              <menu:menuitem menu:id=".uno:GraphicFilterPopart"/>
              <menu:menuitem menu:id=".uno:GraphicFilterPoster"/>
              <menu:menuitem menu:id=".uno:GraphicFilterRelief"/>
              <menu:menuitem menu:id=".uno:GraphicFilterRemoveNoise"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSharpen"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSmooth"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSolarize"/>
            </menu:menupopup>
          </menu:menu>
          <menu:menuitem menu:id=".uno:ColorSettings"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:GraphicDialog"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatObjectMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:TransformDialog"/>
          <menu:menuitem menu:id=".uno:FormatLine"/>
          <menu:menuitem menu:id=".uno:FormatArea"/>
          <menu:menuitem menu:id=".uno:TextAttributes"/>
          <menu:menuitem menu:id=".uno:FontWork"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatFrameMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ChainFrames"/>
          <menu:menuitem menu:id=".uno:UnhainFrames"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:FrameDialog"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:NameGroup" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ObjectTitleDescription" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:AnchorMenu"/>
      <menu:menu menu:id=".uno:WrapMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:WrapOff"/>
          <menu:menuitem menu:id=".uno:WrapOn"/>
          <menu:menuitem menu:id=".uno:WrapIdeal"/>
          <menu:menuitem menu:id=".uno:WrapLeft"/>
          <menu:menuitem menu:id=".uno:WrapRight"/>
          <menu:menuitem menu:id=".uno:WrapThrough"/>
          <menu:menuitem menu:id=".uno:WrapThroughTransparencyToggle"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:WrapContour"/>
          <menu:menuitem menu:id=".uno:ContourDialog"/>
          <menu:menuitem menu:id=".uno:WrapAnchorOnly"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:TextWrap"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:ArrangeMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:BringToFront"/>
          <menu:menuitem menu:id=".uno:ObjectForwardOne"/>
          <menu:menuitem menu:id=".uno:ObjectBackOne"/>
          <menu:menuitem menu:id=".uno:SendToBack"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SetObjectToForeground"/>
          <menu:menuitem menu:id=".uno:SetObjectToBackground"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:RotateFlipMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ToggleObjectRotateMode"/>
          <menu:menuitem menu:id=".uno:RotateLeft"/>
          <menu:menuitem menu:id=".uno:RotateRight"/>
          <menu:menuitem menu:id=".uno:Rotate180"/>
          <menu:menuitem menu:id=".uno:RotateReset"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:FlipVertical"/>
          <menu:menuitem menu:id=".uno:FlipHorizontal"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:GroupMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:FormatGroup"/>
          <menu:menuitem menu:id=".uno:FormatUngroup"/>
          <menu:menuitem menu:id=".uno:EnterGroup"/>
          <menu:menuitem menu:id=".uno:LeaveGroup"/>
        </menu:menupopup>
      </menu:menu>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:FormatStylesMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:TextBodyParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:TitleParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:SubtitleParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:Heading1ParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:Heading2ParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:Heading3ParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:QuoteParaStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:PreformattedParaStyle" menu:style="radio"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:DefaultCharStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:EmphasisCharStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:StrongEmphasisCharStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:QuoteCharStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:SourceCharStyle" menu:style="radio"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:BulletListStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:NumberListStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:AlphaListStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:AlphaLowListStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:RomanListStyle" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:RomanLowListStyle" menu:style="radio"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:EditStyle" menu:style="text"/>
      <menu:menuitem menu:id=".uno:StyleUpdateByExample" menu:style="text"/>
      <menu:menuitem menu:id=".uno:StyleNewByExample" menu:style="text"/>
      <menu:menuitem menu:id=".uno:LoadStyles" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:DesignerDialog"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:TableMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:InsertTable"/>
      <menu:menu menu:id=".uno:TableInsertMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertRowsBefore"/>
          <menu:menuitem menu:id=".uno:InsertRowsAfter"/>
          <menu:menuitem menu:id=".uno:InsertRowDialog"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:InsertColumnsBefore"/>
          <menu:menuitem menu:id=".uno:InsertColumnsAfter"/>
          <menu:menuitem menu:id=".uno:InsertColumnDialog"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:TableDeleteMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:DeleteRows"/>
          <menu:menuitem menu:id=".uno:DeleteColumns"/>
          <menu:menuitem menu:id=".uno:DeleteTable"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:TableSelectMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:EntireCell"/>
          <menu:menuitem menu:id=".uno:EntireRow"/>
          <menu:menuitem menu:id=".uno:EntireColumn"/>
          <menu:menuitem menu:id=".uno:SelectTable"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:TableAutoFitMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SetRowHeight"/>
          <menu:menuitem menu:id=".uno:SetMinimalRowHeight"/>
          <menu:menuitem menu:id=".uno:SetOptimalRowHeight"/>
          <menu:menuitem menu:id=".uno:DistributeRows"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SetColumnWidth"/>
          <menu:menuitem menu:id=".uno:SetMinimalColumnWidth"/>
          <menu:menuitem menu:id=".uno:SetOptimalColumnWidth"/>
          <menu:menuitem menu:id=".uno:DistributeColumns"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:MergeCells"/>
      <menu:menuitem menu:id=".uno:SplitCell" menu:style="text"/>
      <menu:menuitem menu:id=".uno:MergeTable" menu:style="text"/>
      <menu:menuitem menu:id=".uno:SplitTable" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Protect"/>
      <menu:menuitem menu:id=".uno:UnsetCellsReadOnly" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:AutoFormat"/>
      <menu:menuitem menu:id=".uno:TableNumberFormatDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:TableNumberRecognition" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:HeadingRowsRepeat" menu:style="text"/>
      <menu:menuitem menu:id=".uno:RowSplit" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:TableConvertMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ConvertTextToTable"/>
          <menu:menuitem menu:id=".uno:ConvertTableToText"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:InsertFormula"/>
      <menu:menuitem menu:id=".uno:TableSort"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:TableDialog"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:FormatFormMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:SwitchControlDesignMode"/>
      <menu:menuitem menu:id=".uno:UseWizards"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Label"/>
      <menu:menuitem menu:id=".uno:Edit"/>
      <menu:menuitem menu:id=".uno:CheckBox"/>
      <menu:menuitem menu:id=".uno:RadioButton"/>
      <menu:menuitem menu:id=".uno:ListBox"/>
      <menu:menuitem menu:id=".uno:ComboBox"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Pushbutton"/>
      <menu:menuitem menu:id=".uno:Imagebutton"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:FormattedField"/>
      <menu:menu menu:id=".uno:FormMoreFieldsMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:DateField"/>
          <menu:menuitem menu:id=".uno:TimeField"/>
          <menu:menuitem menu:id=".uno:NumericField"/>
          <menu:menuitem menu:id=".uno:CurrencyField"/>
          <menu:menuitem menu:id=".uno:PatternField"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:GroupBox"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ImageControl"/>
      <menu:menuitem menu:id=".uno:FileControl"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Grid"/>
      <menu:menuitem menu:id=".uno:NavigationBar"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ControlProperties"/>
      <menu:menuitem menu:id=".uno:FormProperties"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ShowFmExplorer"/>
      <menu:menuitem menu:id=".uno:TabDialog"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:OpenReadOnly"/>
      <menu:menuitem menu:id=".uno:AutoControlFocus"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:ToolsMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:SpellingAndGrammarDialog"/>
      <menu:menuitem menu:id=".uno:SpellOnline" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ThesaurusDialog" menu:style="text"/>
      <menu:menu menu:id=".uno:LanguageMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SetLanguageSelectionMenu"/>
          <menu:menuitem menu:id=".uno:SetLanguageParagraphMenu"/>
          <menu:menuitem menu:id=".uno:SetLanguageAllTextMenu"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Hyphenate" menu:style="text"/>
          <menu:menuitem menu:id=".uno:ChineseConversion"/>
          <menu:menuitem menu:id=".uno:HangulHanjaConversion"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:MoreDictionaries"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:WordCountDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:AutoFormatMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:OnlineAutoFormat"/>
          <menu:menuitem menu:id=".uno:AutoFormatApply"/>
          <menu:menuitem menu:id=".uno:AutoFormatRedlineApply"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:AutoCorrectDlg"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:EditGlossary" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ImageMapDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ChapterNumberingDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:LineNumberingDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:FootnoteDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:MailMergeWizard"/>
      <menu:menuitem menu:id=".uno:BibliographyComponent" menu:style="text"/>
      <menu:menuitem menu:id=".uno:AddressBookSource" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:UpdateMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:UpdateAll"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Repaginate"/>
          <menu:menuitem menu:id=".uno:UpdateFields"/>
          <menu:menuitem menu:id=".uno:UpdateAllIndexes"/>
          <menu:menuitem menu:id=".uno:UpdateCurIndex"/>
          <menu:menuitem menu:id=".uno:UpdateAllLinks"/>
          <menu:menuitem menu:id=".uno:UpdateCharts"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:CalculateSel" menu:style="text"/>
      <menu:menuitem menu:id=".uno:SortDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:MacrosMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:MacroRecorder"/>
          <menu:menuitem menu:id=".uno:RunMacro"/>
          <menu:menuitem menu:id=".uno:BasicIDEAppear"/>
          <menu:menuitem menu:id=".uno:ScriptOrganizer"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:MacroSignature"/>
          <menu:menuitem menu:id=".uno:MacroOrganizer?TabId:short=1"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:OpenXMLFilterSettings"/>
      <menu:menuitem menu:id="service:com.sun.star.deployment.ui.PackageManagerDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ConfigureDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:OptionsTreeDialog"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:WindowList">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:NewWindow"/>
      <menu:menuitem menu:id=".uno:CloseWin"/>
      <menu:menuseparator/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:HelpMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:HelpIndex"/>
      <menu:menuitem menu:id=".uno:ExtendedHelp"/>
      <menu:menuitem menu:id=".uno:Documentation"/>
      <menu:menuitem menu:id=".uno:TipOfTheDay"/>
      <menu:menuitem menu:id=".uno:CommandPopup"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:QuestionAnswers"/>
      <menu:menuitem menu:id=".uno:SendFeedback"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SafeMode"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ShowLicense"/>
      <menu:menuitem menu:id=".uno:About"/>
    </menu:menupopup>
  </menu:menu>
</menu:menubar>
